
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `mahara`
--
CREATE DATABASE `balado` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
grant all on balado.* to 'balado'@'%%adresse_ip_web' identified by 'balado';
flush privileges ;

USE `balado`;



-- phpMyAdmin SQL Dump
-- version 3.4.11.1deb2
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le: Dim 09 Février 2014 à 21:00
-- Version du serveur: 5.5.33
-- Version de PHP: 5.4.4-14+deb7u5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `test`
--

-- --------------------------------------------------------

--
-- Structure de la table `affectation`
--

CREATE TABLE IF NOT EXISTS `affectation` (
  `id_prof` int(11) NOT NULL,
  `rne` varchar(8) NOT NULL,
  `id_cas` varchar(50) NOT NULL,
  PRIMARY KEY (`id_prof`,`rne`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `bugs`
--

CREATE TABLE IF NOT EXISTS `bugs` (
  `id_ticket` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) NOT NULL,
  `type` varchar(1) NOT NULL,
  `login` varchar(250) NOT NULL,
  `navigateur` varchar(250) NOT NULL,
  `js` int(1) NOT NULL,
  `java` int(1) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `rne` varchar(50) NOT NULL,
  `page` varchar(250) NOT NULL,
  PRIMARY KEY (`id_ticket`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `cartable`
--

CREATE TABLE IF NOT EXISTS `cartable` (
  `rne` varchar(250) NOT NULL,
  `serveur` varchar(250) NOT NULL,
  PRIMARY KEY (`rne`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `cas_serveur`
--

CREATE TABLE IF NOT EXISTS `cas_serveur` (
  `rne` varchar(9) NOT NULL,
  `adresse` varchar(50) NOT NULL,
  `port` int(11) NOT NULL,
  `contexte` varchar(50) NOT NULL,
  PRIMARY KEY (`rne`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `classes`
--

CREATE TABLE IF NOT EXISTS `classes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `classe` varchar(25) NOT NULL,
  `rne` varchar(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `consignes`
--

CREATE TABLE IF NOT EXISTS `consignes` (
  `id_consigne` int(11) NOT NULL AUTO_INCREMENT,
  `id_prof` int(11) NOT NULL,
  `text` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `titre` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `public` enum('o','n') NOT NULL DEFAULT 'n',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `motscles` varchar(250) NOT NULL,
  PRIMARY KEY (`id_consigne`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=45 ;

-- --------------------------------------------------------

--
-- Structure de la table `eleves`
--

CREATE TABLE IF NOT EXISTS `eleves` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_sconet` bigint(11) NOT NULL,
  `id_cas` varchar(50) NOT NULL,
  `login` varchar(50) NOT NULL,
  `mdp` varchar(50) NOT NULL,
  `id_classe` int(11) NOT NULL,
  `nom` varchar(100) NOT NULL,
  `prenom` varchar(100) NOT NULL,
  `naissance` date NOT NULL,
  `rne` varchar(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `eleves_groupes`
--

CREATE TABLE IF NOT EXISTS `eleves_groupes` (
  `id_groupe` int(11) NOT NULL,
  `id_eleve` int(11) NOT NULL,
  PRIMARY KEY (`id_groupe`,`id_eleve`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `eleves_media`
--

CREATE TABLE IF NOT EXISTS `eleves_media` (
  `id_media` int(11) NOT NULL AUTO_INCREMENT,
  `type` enum('audio','video','text') NOT NULL,
  `chemin` varchar(250) NOT NULL,
  `titre` varchar(25) NOT NULL,
  `id_eleve` int(11) NOT NULL,
  `id_reponse` int(11) NOT NULL,
  PRIMARY KEY (`id_media`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

-- --------------------------------------------------------

--
-- Structure de la table `eleves_uploads`
--

CREATE TABLE IF NOT EXISTS `eleves_uploads` (
  `id_upload` int(11) NOT NULL AUTO_INCREMENT,
  `chemin` varchar(250) NOT NULL,
  `titre` varchar(250) NOT NULL,
  `id_consigne` int(11) NOT NULL,
  `id_eleve` int(11) NOT NULL,
  `id_reponse` int(11) NOT NULL,
  PRIMARY KEY (`id_upload`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

-- --------------------------------------------------------

--
-- Structure de la table `etablissements`
--

CREATE TABLE IF NOT EXISTS `etablissements` (
  `RNE` varchar(8) NOT NULL DEFAULT '',
  `Type` varchar(250) NOT NULL DEFAULT 'LYC',
  `Nom` varchar(30) NOT NULL DEFAULT '',
  `Ville` varchar(30) DEFAULT NULL,
  `cp` int(5) NOT NULL,
  `actif` enum('o','n') NOT NULL DEFAULT 'n',
  `auth` enum('sconet','cas') NOT NULL,
  PRIMARY KEY (`RNE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 PACK_KEYS=1;

-- --------------------------------------------------------

--
-- Structure de la table `partages`
--

CREATE TABLE IF NOT EXISTS `partages` (
  `id_part` int(11) NOT NULL AUTO_INCREMENT,
  `id_prof` int(11) NOT NULL,
  `type_ensemble` enum('classe','groupe') NOT NULL,
  `id_consigne` int(11) NOT NULL,
  `id_ensemble` int(11) NOT NULL,
  `titre_ensemble` varchar(250) NOT NULL,
  `type_partage` enum('R','W') NOT NULL,
  `date_deb` date NOT NULL,
  `date_fin` date NOT NULL,
  `publier` int(1) NOT NULL,
  `podcast` varchar(250) NOT NULL,
  PRIMARY KEY (`id_part`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=26 ;

-- --------------------------------------------------------

--
-- Structure de la table `podcast_eleves`
--

CREATE TABLE IF NOT EXISTS `podcast_eleves` (
  `podcast` varchar(50) NOT NULL,
  `id_prof` int(11) NOT NULL,
  `type_ensemble` varchar(11) NOT NULL,
  `id_ensemble` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `podcast_prof`
--

CREATE TABLE IF NOT EXISTS `podcast_prof` (
  `id` int(11) NOT NULL,
  `podcast` varchar(50) NOT NULL,
  `id_partage` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `preferences`
--

CREATE TABLE IF NOT EXISTS `preferences` (
  `id` int(11) NOT NULL,
  `profil` varchar(10) NOT NULL,
  `magneto` int(11) NOT NULL,
  `supportAccueil` int(1) NOT NULL DEFAULT '1',
  `supportCreer` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`,`profil`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `profs`
--

CREATE TABLE IF NOT EXISTS `profs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(50) NOT NULL,
  `mdp` varchar(50) NOT NULL,
  `mel` varchar(59) NOT NULL,
  `nom` varchar(25) NOT NULL,
  `prenom` varchar(50) NOT NULL,
  `naissance` date NOT NULL,
  `gest` int(11) NOT NULL DEFAULT '0',
  `actif` int(11) NOT NULL DEFAULT '0',
  `activation` varchar(50) NOT NULL,
  `mdp_perdu` varchar(250) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=27 ;

-- --------------------------------------------------------

--
-- Structure de la table `profs_classes`
--

CREATE TABLE IF NOT EXISTS `profs_classes` (
  `id_classe` int(11) NOT NULL,
  `id_prof` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `profs_groupes`
--

CREATE TABLE IF NOT EXISTS `profs_groupes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_prof` int(11) NOT NULL,
  `libelle` varchar(50) NOT NULL,
  `rne` varchar(8) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id_prof` (`id_prof`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `profs_media`
--

CREATE TABLE IF NOT EXISTS `profs_media` (
  `id_media` int(11) NOT NULL AUTO_INCREMENT,
  `type` enum('audio','video','text') NOT NULL,
  `chemin` varchar(250) NOT NULL,
  `titre` varchar(25) NOT NULL,
  `id_consigne` int(11) NOT NULL,
  `id_prof` int(11) NOT NULL,
  PRIMARY KEY (`id_media`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `profs_reserve`
--

CREATE TABLE IF NOT EXISTS `profs_reserve` (
  `id` varchar(50) NOT NULL,
  `nom` varchar(25) NOT NULL,
  `prenom` varchar(50) NOT NULL,
  `rne` varchar(8) NOT NULL,
  `actif` tinyint(1) NOT NULL DEFAULT '1',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `id_prof` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `date` (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `profs_uploads`
--

CREATE TABLE IF NOT EXISTS `profs_uploads` (
  `id_upload` int(11) NOT NULL AUTO_INCREMENT,
  `chemin` varchar(250) NOT NULL,
  `titre` varchar(250) NOT NULL,
  `id_consigne` int(11) NOT NULL,
  PRIMARY KEY (`id_upload`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

-- --------------------------------------------------------

--
-- Structure de la table `reponses`
--

CREATE TABLE IF NOT EXISTS `reponses` (
  `id_reponse` int(11) NOT NULL AUTO_INCREMENT,
  `id_eleve` int(11) NOT NULL,
  `text` text NOT NULL,
  `id_consigne` int(11) NOT NULL,
  `publier` varchar(1) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_reponse`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

-- --------------------------------------------------------

--
-- Structure de la table `sconet`
--

CREATE TABLE IF NOT EXISTS `sconet` (
  `nom` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `prenom` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `login` varchar(50) NOT NULL,
  `naissance` date NOT NULL,
  `sexe` enum('F','M') CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `classe` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `rne` varchar(8) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `id` bigint(11) NOT NULL,
  `id_cas` varchar(50) NOT NULL,
  `id_sconet` bigint(20) NOT NULL,
  `actif` tinyint(1) NOT NULL DEFAULT '1',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `sconet_classes`
--

CREATE TABLE IF NOT EXISTS `sconet_classes` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `classe` varchar(20) NOT NULL,
  `rne` varchar(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `sessions`
--

CREATE TABLE IF NOT EXISTS `sessions` (
  `user_id` int(11) NOT NULL,
  `id_session` varchar(64) CHARACTER SET latin1 COLLATE latin1_danish_ci NOT NULL,
  `login` varchar(20) CHARACTER SET latin1 COLLATE latin1_danish_ci NOT NULL,
  `debut` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `fin` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `clos` enum('N','O') CHARACTER SET latin1 COLLATE latin1_danish_ci NOT NULL DEFAULT 'N',
  `remote` varchar(15) CHARACTER SET latin1 COLLATE latin1_danish_ci NOT NULL,
  `referer` varchar(255) CHARACTER SET latin1 COLLATE latin1_danish_ci NOT NULL,
  `agent` varchar(255) CHARACTER SET latin1 COLLATE latin1_danish_ci NOT NULL,
  `auth` varchar(20) NOT NULL DEFAULT 'sconet',
  PRIMARY KEY (`id_session`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
